Subject: Re: [RFC PATCH] Add bridge ifindex to bridge fdb notify msgs

From: Jamal Hadi Salim <[email-masked]>
Date: Tue, 27 May 2014 20:39:23 -0400

On 05/27/14 20:05, Roopa Prabhu wrote:
> Jamal,
>
> i hadn't looked at NDA_MASTER for set yet.
> I was going to. We have some versions of patches for notify and dump
> which i was mainly focusing on.
> Agree that it is not needed for sets and creates further confusion and
> possibly creates the same problems in userspace which i am trying to
> solve. So, ack on that.
>

Ok.

> I had a question regarding dump,
> We can filter in kernel (as your patch does on the other thread) or in
> userspace based on master index with new filter arguments to iproute2 to
> determine the bridge and port for filtering. This follows the existing
> filtering support in all other cmds in iproute2. Which is great.
>

I was thinking of doing what you did after - if i was able to show
you my handwritten notes, youd see it scribbled ;-> So i am glad
you did.

> But, Is there any interest in adding master to the default iproute2
> bridge output ?. like the below ?
> # bridge fdb show
> 44:38:39:00:27:ba dev bond2.2003 master br-2003 permanent
> 44:38:39:00:27:bb dev bond4.2003 master br-2003 permanent
> 44:38:39:00:27:bc dev bond2.2004 master br-2004 permanent
>
> master can be put at the end of the output line for each fdb entry or
> make it optional with -d[etails].
>
 >
> (Don't intend to change output and break existing apps and i also
> understand that filtering by bridge/master name is a way to solve the
> problem. But i had a request from our internal team to post the
> question. So, just asking to see if there is interest to modify the
> default fdb show to include the master during display. It would make the
> default global fdb show cmd more complete).

I agree that is more complete to just display the bridge as well.
Not sure even -d should be necessary. The bridge command is so new
i am not sure people will scream - but i leave that call to Stephen.

cheers,
jamal

PS:- I will redo my patch on top of yours and use ndm ifindex for
bridge port.